<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="yes"/>
  <!--Startvorlage -->
  <xsl:template match="/">
    <html>
      <head>
        <title>Buchungsübersicht</title>
      </head>
      <body>
        <h1>Buchungsübersicht</h1>
        <ul>
          <xsl:apply-templates select="Buchungsliste/Anmeldung"/>
        </ul>
      </body>
    </html>
  </xsl:template>
  <!-- Vorlage für Anmeldung -->
  <xsl:template match="Anmeldung">
    <li>
      <xsl:apply-templates select="Teilnehmer"/>
      <xsl:text> </xsl:text>
      <xsl:apply-templates select="Unternehmen"/>
      <xsl:text> </xsl:text>
      <xsl:apply-templates select="Kurs"/>
    </li>
  </xsl:template>
  <!-- Vorlage für Kurs -->
  <xsl:template match="Kurs">
    <xsl:value-of select="Titel"/>
    <xsl:text> - </xsl:text>
    <xsl:value-of select="Untertitel"/>
  </xsl:template>
  <!-- Vorlage für Teilnehmer -->
  <xsl:template match="Teilnehmer">
    <xsl:value-of select="Name/@Anrede"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="Name/Vorname"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="Name/Nachname"/>
  </xsl:template>
  <!-- Vorlage für Unternehmen -->
  <xsl:template match="Unternehmen">
    <xsl:text>(</xsl:text>
    <xsl:value-of select="Name"/>
    <xsl:text>)</xsl:text>
  </xsl:template>
</xsl:stylesheet>
