SET SERVEROUTPUT ON;
DECLARE
 v_Elemente NUMBER(2);
 -- Tabellentyp
 TYPE t_XMLType IS TABLE OF XMLType
  INDEX BY BINARY_INTEGER; 
 -- Tabelle
 t_XML t_XMLType;
 -- XMLType fr XML-Text
 v_XML XMLType;
 -- Cursor fr XML-Abfrage von mehreren Zeilen
 CURSOR c_Kurse IS
   SELECT XMLElement("Kursbereich",
                     XMLAttributes(K_Titel AS "Name"),
            XMLAgg(XMLElement("Kurs", 
                   XMLForest(K_Nr AS "Nr",
                             K_Untertitel AS "Titel",
                             K_Dauer      AS "Dauer")))) AS XML                          
    FROM kurs
   WHERE K_Titel IN ('Oracle', 'Java')
   GROUP BY K_Titel;  
BEGIN
 -- bernahme in assoziativem Array
 FOR c_KDaten IN c_Kurse LOOP
  t_XML(c_Kurse%ROWCOUNT) := c_KDaten.XML;
 END LOOP;

 -- Verarbeitung
 FOR i IN t_XML.FIRST..t_XML.LAST LOOP
   DBMS_OUTPUT.PUT_LINE(t_XML(i).extract('//Kursbereich/@Name').getStringVal());
   DBMS_OUTPUT.PUT_LINE(t_XML(i).extract('//Kursbereich/Kurs[Dauer > 3]/Titel').getStringVal());
 END LOOP; 
 
END;