SET SERVEROUTPUT ON;
DECLARE
 v_text CLOB;
BEGIN
 -- Abfrage und automatische Umwandlung
 SELECT XMLElement("Kurse",
          XMLAgg(XMLElement("Kursbereich",
                 XMLAttributes(K_Titel AS "Name"),
            XMLAgg(XMLElement("Kurs", 
                     XMLForest(K_Untertitel AS "Titel",
                               K_Dauer      AS "Dauer")))))).getClobVal() 
   INTO v_text
   FROM kurs
  WHERE K_Titel IN ('Oracle', 'Java')
  GROUP BY K_Titel;

 -- Verarbeitung
 DELETE FROM kursxml;
 INSERT INTO kursxml (kx_nr, kx_text)
 VALUES (1, v_text);
 COMMIT;
END;