-- Lsche mgliche vorhandene Typen
DROP TYPE Dozent_T;
DROP TYPE Kursliste_T;
DROP TYPE Thema_T;
/
-- Mehrspaltige Struktur
CREATE TYPE Thema_T AS OBJECT (
  "@Nr"      NUMBER(7,0),
  titel      VARCHAR2(30),
  untertitel VARCHAR2(40)
);
/
-- Reihenstruktur
CREATE TYPE Kursliste_T AS TABLE OF Thema_T;
/
-- Mehrspaltige, verschachtelte Reihenstruktur
CREATE TYPE Dozent_T AS OBJECT (
  "@Nr"    NUMBER(7,0),
  vorname  VARCHAR2(20),
  nachname VARCHAR2(30),
  kursliste Kursliste_T
);
/