DECLARE
 ordner    boolean; -- Anlegen eines Ordners
 ressource boolean; -- Anlegen einer Ressource
 -- Funktion fr den Test einer gltigen Aktion
 FUNCTION  Testen (Test IN BOOLEAN)
  RETURN VARCHAR2
 AS
  BEGIN
   IF Test THEN RETURN 'Erfolgreich';
    ELSE RETURN 'Nicht erfolgreich';
   END IF;
  END Testen;
BEGIN
 -- Anlegen eines Ordners
 ordner := dbms_xdb.createfolder('/public/dozenten');
 DBMS_OUTPUT.PUT_LINE(Testen(ordner));
 -- Anlegen einer Ressource 1
 ressource :=dbms_xdb.createresource
   ('/public/dozenten/doz_ebenhof.xml',
    '<doz_name>Ebenhof</doz_name>');
 DBMS_OUTPUT.PUT_LINE(Testen(ressource));
 -- Anlegen einer Ressource 2
 ressource := dbms_xdb.createresource
   ('/public/dozenten/doz_gelddreh.xml',
    '<doz_name>Gelddreh</doz_name>');
 DBMS_OUTPUT.PUT_LINE(Testen(ressource));
 -- Anlegen eines Links
 dbms_xdb.link
   ('/public/dozenten/doz_ebenhof.xml','/public/dozenten',
    'person_ebenhof.xml');
 dbms_xdb.link
   ('/public/dozenten/doz_gelddreh.xml','/public/dozenten',
 'person_gelddreh.xml');
 -- Lschen von Ressourcen, Links und Ordnern
 dbms_xdb.deleteresource
   ('/public/dozenten/doz_ebenhof.xml');
 dbms_xdb.deleteresource
   ('/public/dozenten/person_ebenhof.xml');
 dbms_xdb.deleteresource
   ('/public/dozenten/doz_gelddreh.xml');
 dbms_xdb.deleteresource
   ('/public/dozenten/person_gelddreh.xml');
 dbms_xdb.deleteresource('/public/dozenten');
END;
