-- XML Schema bearbeiten
DECLARE
BEGIN
 -- Schema registrieren
 DBMS_XMLSCHEMA.registerschema('http://www.kurse-nrw.de/kurs.xsd','<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
  <xs:element name="Kurs">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="Titel" type="xs:string"/>
        <xs:element name="Untertitel" type="xs:string"/>
        <xs:element name="Dauer" type="xs:byte"/>
      </xs:sequence>
      <xs:attribute name="Nr" type="xs:int" use="required"/>
    </xs:complexType>
  </xs:element>
</xs:schema>',TRUE, TRUE, FALSE, FALSE); 
END;
/
CREATE TABLE "SCOTT"."KURSXMLTYPE" OF SYS.XMLTYPE  XMLSCHEMA 
    "http://xmlns.oracle.com/xdb/schemas/SCOTT/www.kurse-nrw.de/
    kurs.xsd" ELEMENT "Kurs" 
    TABLESPACE "SYSTEM" 
    STORAGE ( FREELISTS 1 FREELIST GROUPS 1) 
    LOGGING
/    
INSERT INTO "SCOTT"."KURSXMLTYPE" 
  VALUES(XMLType('<Kurs Nr="1025063">
  <Titel>Oracle</Titel>
  <Untertitel>PL/SQL-Programmierung</Untertitel>
  <Dauer>3</Dauer>
</Kurs>').createschemabasedxml('http://www.kurse-nrw.de/kurs.xsd'));
/