DECLARE
  Ctx DBMS_XMLSTORE.ctxType;
  v_reihen NUMBER;
  v_xml XMLType := XMLType('<ROWSET>
 <ROW>
  <K_NR>1015036</K_NR>
  <T_ORT>Bochum</T_ORT>
 </ROW>
</ROWSET>');

BEGIN
  -- Kontext erstellen
  Ctx := DBMS_XMLSTORE.newContext('SCOTT.TERMIN_IMPORT');
  -- Schlssel fr Lsch-Vorgang
  DBMS_XMLSTORE.clearKeyColumnList(Ctx);
  DBMS_XMLSTORE.setKeyColumn(Ctx, 'K_NR');
  DBMS_XMLSTORE.setKeyColumn(Ctx, 'T_ORT');
  -- XML zerlegen und lschen
  v_reihen := DBMS_XMLSTORE.deleteXML(Ctx, v_xml);
  DBMS_OUTPUT.put_line(v_reihen || ' gelscht.');
  -- Kontext schlieen
  DBMS_XMLSTORE.closeContext(Ctx); 
END;