SET LONG 20000;
-- Tabelle lschen
DROP TABLE termin_d;
/
DELETE FROM termin_d;
-- Tabelle anlegen
CREATE TABLE termin_d(
t_knr NUMBER(7),
t_xml XMLType,
t_xslt XMLType);
/
-- Werte einfgen
INSERT INTO termin_d VALUES(1015068, XMLType('<Termin Nr="498">
  <Beginn>10.06.03</Beginn>
  <Ende>13.06.03</Ende>
  <Kurs>1015068</Kurs>
</Termin>'), XMLType('<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
        <xsl:param name="liste" select="''ol''"/>
  <xsl:template match="/Termin">
    <html>
      <head>
        <title>Termin</title>
      </head>
      <body>
       <xsl:element name="{$liste}">
          <xsl:for-each select="child::*">
            <li>
              <xsl:value-of select="local-name(.)"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="."/>
            </li>
          </xsl:for-each>
        </xsl:element>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>'));
/