DECLARE
 v_HTML VARCHAR2(4000);
 v_XML  XMLType;
 v_XSLT XMLType;
BEGIN
 -- Transformation ber SQL
 -- ohne Parameter
 SELECT XMLTransform(t_xml, t_xslt).getStringVal()
   INTO v_HTML
   FROM termin_d;
 DBMS_OUTPUT.PUT_LINE(v_HTML);
 -- Transformation ber PL/SQL
 -- mit Parameter 
 SELECT t_xml, t_xslt
   INTO v_XML, v_XSLT
   FROM termin_d;
 v_HTML := v_XML.transform(v_XSLT, 'liste="''ul''"').getStringVal();
 DBMS_OUTPUT.PUT_LINE(v_HTML);
END;

-- Egebnis
/*
<html>
  <head>
    <title>Termin</title>
  </head>
  <body>
    <ul>
      <li>Beginn10.06.03</li>
      <li>Ende13.06.03</li>
      <li>Kurs1015068</li>
    </ul>
  </body>
</html>
*/