DECLARE
 v_XML1    XMLType;
 v_XML2    XMLType;
 v_Schema  XMLType;
BEGIN
 SELECT t_xml, t_schema
   INTO v_XML1, v_Schema
   FROM termin_d
  WHERE t_knr = 1015068;
  
 --DBMS_XMLSCHEMA.registerSchema(
 --   'http://www.kurse-nrw.de/terminliste.xsd', v_Schema.getStringVal());
    
 --v_XML2 := XMLType.createXML(v_XML1.getStringVal(), 'http://www.kurse-nrw.de/terminliste.xsd', 0, 0);
 v_XML2 := v_XML1.createSchemaBasedXML('http://www.kurse-nrw.de/terminliste.xsd');
 
 -- Status der Validierung abfragen
 -- Variante 1
 v_XML2.schemaValidate();
 IF v_XML2.isSchemaValidated() = 1 THEN
  DBMS_OUTPUT.PUT_LINE('Schema-URL: ' || v_XML2.getSchemaURL());
  DBMS_OUTPUT.PUT_LINE('Wurzel: ' || v_XML2.getRootElement());  
 END IF;
 -- Variante 2
 IF v_XML2.isSchemaValid('http://www.kurse-nrw.de/terminliste.xsd', 'Termin') = 1 THEN
  DBMS_OUTPUT.PUT_LINE('Namensraum: ' || v_XML2.getNamespace());
  DBMS_OUTPUT.PUT_LINE('Schemabasiert: ' || v_XML2.isSchemaBased());  
 END IF; 
END;

--
/*
Schema-URL: http://www.kurse-nrw.de/terminliste.xsd
Wurzel: Termin
Namensraum: 
Schemabasiert: 1
*/