CREATE OR REPLACE  PACKAGE "SCOTT"."GENERATOR" as
TYPE NUMMERN IS TABLE OF NUMBER
 INDEX BY BINARY_INTEGER;
------------------Parameter
TYPE GEWICHT IS TABLE OF NUMBER(4,2);
 -- Programmierung, Datenbanken, Programmierung(Office), Office, Server, Webdesign, Grafik
t_Kurse  GEWICHT := GEWICHT(0.9, 0.8, 0.7, 0.5, 0.8, 0.6, 0.6);
 -- Jan, Feb, Mrz...
t_Monate GEWICHT := GEWICHT(0.4, 0.5, 0.7, 0.8, 0.9, 0.9, 0.8, 0.6, 0.7, 0.8, 0.6, 0.4);
-------------------SQL-Funktionen
-- ErmittlePreis ermittelt Gruppenpreis
FUNCTION ErmittlePreis (
 Terminnummer   IN termin.T_Nr%TYPE,
 Teilnehmerzahl IN buchung.B_TZahl%TYPE)
RETURN buchung.B_Preis%TYPE;

-- ErmittleBereich ermittelt K_Bereich fr T_Nr
FUNCTION ErmittleBereich (
 Terminnummer   IN termin.T_Nr%TYPE)
RETURN kurs.K_Bereich%TYPE;

-- ErmittleDatum ermittelt fr Termin ein Anmeldedatum
FUNCTION ErmittleDatum (
 Terminnummer   IN termin.T_Nr%TYPE,
 Teilnehmerzahl IN buchung.B_TZahl%TYPE)
RETURN buchung.B_Datum%TYPE;

-- BerechneNr ermittelt die passende Buchungsnummer
 FUNCTION ZaehleReihen  (
   Tabelle IN  VARCHAR2 := 'buchung',
   Spalte  IN  VARCHAR2 := 'B_Nr')
 RETURN buchung.B_Nr%TYPE;

---------------------------------------------
-- Ausfuehrung fhrt den Generator aus
PROCEDURE Ausfuehrung (
 Anzahl IN NUMBER );
end GENERATOR;