xquery version "1.0";
comment { "Kursliste, 18.01.2002"  },
processing-instruction xml-stylesheet { "type='text/xsl' href='141_01.xslt'" },
element Kursliste  {
   for $kurse in distinct-values(//Kurs/@Nr)
   order by $kurse descending
   return
      element Kurs {
        attribute Nr { $kurse } ,
        element Teilnehmerliste {
          for $teilnehmer in //Teilnehmer[parent::Anmeldung/Kurs/@Nr = $kurse]
          let $vorname := $teilnehmer/Name/Vorname/text(),
               $nachname := $teilnehmer/Name/Nachname/text()
           return 
            element Name { concat($nachname, ', ', $vorname) }
        }
       }
  }
