SET SERVEROUTPUT ON;
DECLARE
 -- Datei
 datei UTL_FILE.FILE_TYPE;
 -- XMLType fr XML-Text
 v_XML XMLType;
 -- Variable fr Zeichenkettenwert
 v_text VARCHAR2(32767);
BEGIN
 -- bernahme in XMLType
 SELECT XMLElement("Kurse",
          XMLAgg(XMLElement("Kursbereich",
                 XMLAttributes(K_Titel AS "Name"),
            XMLAgg(XMLElement("Kurs", 
                     XMLForest(K_Untertitel AS "Titel",
                               K_Dauer      AS "Dauer")))))) AS XML 
   INTO v_XML
   FROM kurs
  WHERE K_Titel IN ('Oracle', 'Java')
  GROUP BY K_Titel;
 -- Umwandlung von XMLType
 v_text := v_XML.getStringVal();
 -- Dateispeicherung
 datei := UTL_FILE.FOPEN('c:\oratext', 'SQLX.xml', 'W');
 UTL_FILE.PUT(datei, v_text);
 UTL_FILE.NEW_LINE(datei);
 UTL_FILE.FCLOSE(datei);
END;