SET SERVEROUTPUT ON;
DECLARE
 Ctx    DBMS_XMLGEN.ctxHandle;	-- Konversionsvariable SQL->XML
 xml    VARCHAR2(2000);         -- Daten
 datei  utl_file.file_type;     -- Ausgabedatei
 b_KNr  kurs.K_Nr%TYPE := 1025063;
BEGIN
 -- Abfrage absenden
 Ctx := DBMS_XMLGEN.newContext( 
           'SELECT K_Nr AS "Nr",
            K_Titel AS "Titel", 
            K_Untertitel AS "Untertitel2",
            K_Bereich AS "Bereich",
            K_Themen AS "Themen"FROM kurs WHERE K_Nr = ' || b_KNr);
 -- Ergebnisformat
 DBMS_XMLGEN.setRowTag(Ctx, 'Kurs'); -- ReihenTag / Standard: ROW
 DBMS_XMLGEN.setRowSetTag(Ctx, 'Kursuebersicht'); -- DatenmengeTag / Standard: ROWSET
 DBMS_XMLGEN.setMaxRows(Ctx, 3); -- Maximale Reihenzahl 
 -- Abholen der Abfrage 
 xml := DBMS_XMLGEN.getXML(Ctx);
 -- Schlieen des Kontextes
 DBMS_XMLGEN.closeContext(Ctx);
 -- Dateispeicherung
 datei := UTL_FILE.FOPEN('c:\oratext', 'kursuebersicht_XMLGEN2.xml', 'W');
 UTL_FILE.PUT_LINE(datei, xml);
 UTL_FILE.FCLOSE(datei);
END;