-- Lsche mgliche vorhandene Typen
DROP TYPE Kurs_T;
DROP TYPE Terminliste_T;
DROP TYPE Termin_T;
/
-- Mehrspaltige Struktur
CREATE TYPE Termin_T AS OBJECT (
 "@Nr" number(4,0),
  beginn date,
  ende   date,
  ort    VARCHAR2(20)
);
/
-- Reihenstruktur
CREATE TYPE Terminliste_T AS TABLE OF Termin_T;
/
-- Mehrspaltige, verschachtelte Reihenstruktur
CREATE TYPE Kurs_T AS OBJECT (
  "@Nr" number(7,0),
  titel      VARCHAR2(30),
  untertitel VARCHAR2(40),
  termine terminliste_T
); 