SELECT SYS_XMLGEN(K_Nr) AS Nr,
       SYS_XMLGEN(K_Titel) AS Titel,
       SYS_XMLGEN(K_Untertitel) AS Untertitel
  FROM kurs
 WHERE K_Titel IN ('Oracle', 'PHP');

-- Ergebnis
/*
NR
TITEL
UNTERTITEL

<K_NR>1015024</K_NR>
<K_TITEL>PHP</K_TITEL>
<K_UNTERTITEL>Syntax + Konzepte</K_UNTERTITEL>

<K_NR>1015043</K_NR>
<K_TITEL>PHP</K_TITEL>
<K_UNTERTITEL>Webanwendungen</K_UNTERTITEL>

<K_NR>1015044</K_NR>
<K_TITEL>PHP</K_TITEL>
<K_UNTERTITEL>MySQL Programmbeispiele</K_UNTERTITEL>

<K_NR>1015068</K_NR>
<K_TITEL>PHP</K_TITEL>
<K_UNTERTITEL>Kochrezepte</K_UNTERTITEL>

<K_NR>1025051</K_NR>
<K_TITEL>Oracle</K_TITEL>
<K_UNTERTITEL>Architektur</K_UNTERTITEL>

<K_NR>1025063</K_NR>
<K_TITEL>Oracle</K_TITEL>
<K_UNTERTITEL>PL/SQL-Programmierung</K_UNTERTITEL>

<K_NR>1025061</K_NR>
<K_TITEL>Oracle</K_TITEL>
<K_UNTERTITEL>XML-Konzepte</K_UNTERTITEL>

<K_NR>1025071</K_NR>
<K_TITEL>Oracle</K_TITEL>
<K_UNTERTITEL>Designer R6i + Developer 6i</K_UNTERTITEL>

<K_NR>1025072</K_NR>
<K_TITEL>Oracle</K_TITEL>
<K_UNTERTITEL>Networking</K_UNTERTITEL>

<K_NR>1025073</K_NR>
<K_TITEL>Oracle</K_TITEL>
<K_UNTERTITEL>DB-Administration</K_UNTERTITEL>
10 Zeilen ausgewhlt.
*/