SELECT SYS_XMLAGG(SYS_XMLGEN(Dozent_T(dozent.D_Nr,
                           D_Vorname,
                           D_Nachname,
                           CAST(MULTISET(SELECT kurs.K_Nr,
                                                K_Titel,
                                                K_Untertitel
                    FROM kurs INNER JOIN themenverteilung t2
                      ON kurs.K_Nr = t2.K_Nr
                   WHERE t1.D_Nr = t2.D_Nr)
                           AS Kursliste_T)),
                          XMLFormat.createFormat('DOZENT')), XMLFormat.createFormat('DOZENTENLISTE')).getClobVal() AS XML
  FROM dozent INNER JOIN themenverteilung t1
    ON dozent.D_Nr = t1.D_Nr
 WHERE dozent.D_Nr BETWEEN 5 AND 7;
