SET SERVEROUTPUT ON;
DECLARE
 dir         VARCHAR2(100) := 'C:\Oraxml';
 xmlfile     VARCHAR2(100) := 'dozentenliste.xml'; 
 errfile     VARCHAR2(100) := 'dozentenliste.txt';
 p           DBMS_XMLPARSER.Parser;
BEGIN
 -- Erzeuge Parser
 p := DBMS_XMLPARSER.newParser;
 -- Version des Parser
 DBMS_OUTPUT.PUT_LINE('Version: ' || DBMS_XMLPARSER.getReleaseVersion());

 -- Eigenschaften des Parsers
 -- Basisverzeichnis
 DBMS_XMLPARSER.setBaseDir(p, dir);
 -- Validierung
 DBMS_XMLPARSER.setValidationMode(p, TRUE);
 IF DBMS_XMLPARSER.getValidationMode(p)
  THEN DBMS_OUTPUT.PUT_LINE('Validierung gesetzt.');
 ELSE DBMS_OUTPUT.PUT_LINE('Validierung nicht gesetzt.');
 END IF; 
 -- Fehlerdatei
 DBMS_XMLPARSER.setErrorLog(p,  errfile);
 -- anstelle von:  DBMS_XMLPARSER.setErrorLog(p,  dir || '/' || errfile);
 /*
  Verarbeitung mit DOM oder XSLT
 */
 -- Parser entfernen
 DBMS_XMLPARSER.freeParser(p);
END;