DECLARE
 -- XML
 v_XML xmltype := 
 xmltype('<?xml-stylesheet type="text/xsl" href="transformation.xslt"?>
      <Katalog>
	<Kurs>>Oracle und XML</Kurs>
      </Katalog>');
 v_CdataXML xmltype;                
 -- Variablen fr Knotentypen
 -- Einzelne Knoten 
 v_Katalog        DBMS_XMLDOM.DOMNode;
 v_EntityDN       DBMS_XMLDOM.DOMNode; 
 v_EntityDE       DBMS_XMLDOM.DOMEntity;
 v_Wurzel         DBMS_XMLDOM.DOMElement;
 -- Listen
 v_Entities       DBMS_XMLDOM.DOMNamedNodeMap; 
 -- Andere Variablen
 doc              DBMS_XMLDOM.DOMDocument;
 v_Dtd            DBMS_XMLDOM.DOMDocumentType;
 v_Text           VARCHAR2(32767); 
BEGIN
 -- Neues DOM-Dokument erstellen
 doc := DBMS_XMLDOM.newDOMDocument(v_XML);
 -- Wurzel abrufen
 v_Wurzel := DBMS_XMLDOM.getDocumentElement(doc);
 -- Entities abrufen
 v_Entities := DBMS_XMLDOM.getEntities(v_Dtd);
 FOR i IN 1..DBMS_XMLDOM.getLength(v_Entities) LOOP
  v_EntityDN := DBMS_XMLDOM.item(v_Entities, i);
  DBMS_OUTPUT.put_line(DBMS_XMLDOM.getNodeName(v_EntityDN));
 END LOOP;
 v_EntityDE := DBMS_XMLDOM.FINDENTITY(v_Dtd, 'o', false); 
 DBMS_OUTPUT.put_line(DBMS_XMLDOM.getSystemId(v_EntityDE));

 -- Ausgabe
 DBMS_XMLDOM.writeToBuffer(doc, v_Text);
 DBMS_OUTPUT.put_line(v_Text);
 -- DOM-Dokument entfernen
 DBMS_XMLDOM.freeDocument(doc);
END;