BEGIN
 -- Schema aufgrund von XMLType registrieren
 DBMS_XMLSCHEMA.registerSchema(
  schemaurl => 'http://www.kurse-nrw.de/kurs.xsd',
  schemadoc => XMLType('<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
  <xs:element name="Kurs">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="Titel" type="xs:string"/>
        <xs:element name="Untertitel" type="xs:string"/>
        <xs:element name="Dauer" type="xs:byte"/>
      </xs:sequence>
      <xs:attribute name="Nr" type="xs:int" use="required"/>
    </xs:complexType>
  </xs:element>
</xs:schema>'));

-- Schema anhand eines URI registrieren
/*DBMS_XMLSCHEMA.registerURI(
 schemaurl => 'http://www.kurse-nrw.de/kurs2.xsd',
 schemadocuri => 'http://www.kurse-nrw.de/echteKursdatei.xsd');*/

-- Schema lschen mit allen erzeugten Objekten
DBMS_XMLSCHEMA.DELETESCHEMA(
 schemaurl     => 'http://www.kurse-nrw.de/kurs.xsd',
 delete_option => DBMS_XMLSCHEMA.DELETE_CASCADE);
END;

