-- Lsche mgliche vorhandene Typen
DROP TYPE Dozent_T;
DROP TYPE Kursliste_T;
DROP TYPE Thema_C;
DROP TYPE ThemaKinder_T;
DROP TYPE Thema_T;
/
-- Mehrspaltige Struktur
CREATE TYPE ThemaKinder_T AS OBJECT (
  "Nr"         NUMBER(7,0),
  "Titel"      VARCHAR2(30),
  "Untertitel" VARCHAR2(40)
);
/
-- Einfache Reihenstruktur
CREATE TYPE Thema_C AS VARRAY(2147483647) OF ThemaKinder_T;
/
-- Elternelement fr Reihenelemente
CREATE TYPE Thema_T AS OBJECT (
  "Thema"     Thema_C
);
/
-- Mehrspaltige, verschachtelte Reihenstruktur
CREATE TYPE Dozent_T AS OBJECT (
  "Nr"       NUMBER(7,0),
  "Vorname"  VARCHAR2(20),
  "Nachname" VARCHAR2(30),
  "Kursliste" Thema_T
);
