-- Mehrspaltige Struktur
CREATE OR REPLACE TYPE Adresse_T AS OBJECT (
  strasse VARCHAR2(40),
  nr    VARCHAR2(4),
  plz NUMBER(5,0),
  stadt   VARCHAR2(30));
/
SELECT DBMS_XMLSCHEMA.generateschema('Adresse_S', 'Adresse_T') FROM DUAL;

-- Ergebnis
/*
DBMS_XMLSCHEMA.generateschema('Adresse_S', 'Adresse_T')
-------------------------------------------------------
<?xml version="1.0"?>
<xsd:schema targetNamespace="http://ns.oracle.com/xdb/SCOTT" xmlns="http://ns.oracle.com/xdb/SCOTT" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xdb="http://xmlns.oracle.com/xdb" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.oracle.com/xdb http://xmlns.oracle.com/xdb/XDBSchema.xsd">
 <xsd:element name="ADRESSE_T" type="ADRESSE_TType" xdb:SQLType="ADRESSE_T" xdb:SQLSchema="SCOTT"/>
 <xsd:complexType name="ADRESSE_TType">
  <xsd:sequence>
   <xsd:element name="STRASSE" type="xsd:string" xdb:SQLName="STRASSE" xdb:SQLType="VARCHAR2"/>
   <xsd:element name="NR" type="xsd:string" xdb:SQLName="NR" xdb:SQLType="VARCHAR2"/>
   <xsd:element name="PLZ" type="xsd:double" xdb:SQLName="PLZ" xdb:SQLType="NUMBER"/>
   <xsd:element name="STADT" type="xsd:string" xdb:SQLName="STADT" xdb:SQLType="VARCHAR2"/>
  </xsd:sequence>
 </xsd:complexType>
</xsd:schema>
*/