SET LONG 20000;
-- Tabelle lschen
DROP TABLE termin_d;
-- Tabelle anlegen
CREATE TABLE termin_d(
t_knr NUMBER(7),
t_xml XMLTYPE);
/
-- Werte einfgen
/*
INSERT INTO termin_d 
SELECT K_Nr, (SELECT XMLElement("Terminliste", 
                      XMLAgg(XMLElement("Termin",
                             XMLAttributes(T_Nr AS "Nr"),
                       XMLForest(T_Beginn AS "Beginn",
                                 T_Ende AS "Ende",
                                 K_Nr AS "Kurs")))) 
                FROM termin b WHERE b.K_Nr = a.K_Nr) AS XML
FROM termin a
WHERE T_Ort = 'Dsseldorf';
*/
DELETE FROM termin_d;
INSERT INTO termin_d VALUES (1015024, XMLType('<Terminliste>
  <Termin Nr="592">
    <Beginn>27.09.03</Beginn>
    <Ende>30.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="593">
    <Beginn>28.09.03</Beginn>
    <Ende>30.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="19">
    <Beginn>25.03.00</Beginn>
    <Ende>27.03.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="21">
    <Beginn>25.03.00</Beginn>
    <Ende>27.03.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="75">
    <Beginn>01.07.00</Beginn>
    <Ende>03.07.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="76">
    <Beginn>01.07.00</Beginn>
    <Ende>03.07.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="107">
    <Beginn>28.09.00</Beginn>
    <Ende>30.09.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="108">
    <Beginn>28.09.00</Beginn>
    <Ende>30.09.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="152">
    <Beginn>25.03.01</Beginn>
    <Ende>27.03.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="180">
    <Beginn>01.07.01</Beginn>
    <Ende>03.07.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="196">
    <Beginn>28.09.01</Beginn>
    <Ende>30.09.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="233">
    <Beginn>25.03.02</Beginn>
    <Ende>27.03.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="235">
    <Beginn>25.03.02</Beginn>
    <Ende>27.03.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="289">
    <Beginn>01.07.02</Beginn>
    <Ende>03.07.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="290">
    <Beginn>01.07.02</Beginn>
    <Ende>03.07.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="321">
    <Beginn>28.09.02</Beginn>
    <Ende>30.09.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="322">
    <Beginn>28.09.02</Beginn>
    <Ende>30.09.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="367">
    <Beginn>08.01.03</Beginn>
    <Ende>10.01.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="372">
    <Beginn>27.01.03</Beginn>
    <Ende>30.01.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="405">
    <Beginn>12.03.03</Beginn>
    <Ende>14.03.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="411">
    <Beginn>25.03.03</Beginn>
    <Ende>27.03.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="434">
    <Beginn>14.04.03</Beginn>
    <Ende>16.04.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="435">
    <Beginn>14.04.03</Beginn>
    <Ende>16.04.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="517">
    <Beginn>01.07.03</Beginn>
    <Ende>03.07.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="521">
    <Beginn>02.07.03</Beginn>
    <Ende>04.07.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="571">
    <Beginn>03.09.03</Beginn>
    <Ende>05.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
</Terminliste>'));
INSERT INTO termin_d VALUES (1015044, XMLType('<Terminliste>
  <Termin Nr="649">
    <Beginn>08.12.03</Beginn>
    <Ende>10.12.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="501">
    <Beginn>16.06.03</Beginn>
    <Ende>18.06.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="502">
    <Beginn>16.06.03</Beginn>
    <Ende>18.06.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="548">
    <Beginn>11.08.03</Beginn>
    <Ende>13.08.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
</Terminliste>'));
INSERT INTO termin_d VALUES (1015044, XMLType('
<Terminliste>
  <Termin Nr="633">
    <Beginn>19.11.03</Beginn>
    <Ende>21.11.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="91">
    <Beginn>21.08.00</Beginn>
    <Ende>23.08.00</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="92">
    <Beginn>21.08.00</Beginn>
    <Ende>23.08.00</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="188">
    <Beginn>21.08.01</Beginn>
    <Ende>23.08.01</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="232">
    <Beginn>20.03.02</Beginn>
    <Ende>22.03.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="305">
    <Beginn>21.08.02</Beginn>
    <Ende>23.08.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="306">
    <Beginn>21.08.02</Beginn>
    <Ende>23.08.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="345">
    <Beginn>20.11.02</Beginn>
    <Ende>22.11.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="371">
    <Beginn>22.01.03</Beginn>
    <Ende>24.01.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="552">
    <Beginn>17.08.03</Beginn>
    <Ende>19.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="553">
    <Beginn>17.08.03</Beginn>
    <Ende>19.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="557">
    <Beginn>20.08.03</Beginn>
    <Ende>22.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="568">
    <Beginn>01.09.03</Beginn>
    <Ende>03.09.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
</Terminliste>'));
INSERT INTO termin_d VALUES (1015068, XMLType('
<Terminliste>
  <Termin Nr="617">
    <Beginn>21.10.03</Beginn>
    <Ende>24.10.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="650">
    <Beginn>09.12.03</Beginn>
    <Ende>12.12.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="118">
    <Beginn>14.10.00</Beginn>
    <Ende>17.10.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="137">
    <Beginn>09.12.00</Beginn>
    <Ende>12.12.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="138">
    <Beginn>09.12.00</Beginn>
    <Ende>12.12.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="211">
    <Beginn>09.12.01</Beginn>
    <Ende>12.12.01</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="352">
    <Beginn>09.12.02</Beginn>
    <Ende>12.12.02</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="353">
    <Beginn>09.12.02</Beginn>
    <Ende>12.12.02</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="498">
    <Beginn>10.06.03</Beginn>
    <Ende>13.06.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="558">
    <Beginn>20.08.03</Beginn>
    <Ende>23.08.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="559">
    <Beginn>20.08.03</Beginn>
    <Ende>23.08.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
</Terminliste>'));
INSERT INTO termin_d VALUES (1015024, XMLType('<Terminliste>
  <Termin Nr="592">
    <Beginn>27.09.03</Beginn>
    <Ende>30.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="593">
    <Beginn>28.09.03</Beginn>
    <Ende>30.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="19">
    <Beginn>25.03.00</Beginn>
    <Ende>27.03.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="21">
    <Beginn>25.03.00</Beginn>
    <Ende>27.03.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="75">
    <Beginn>01.07.00</Beginn>
    <Ende>03.07.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="76">
    <Beginn>01.07.00</Beginn>
    <Ende>03.07.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="107">
    <Beginn>28.09.00</Beginn>
    <Ende>30.09.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="108">
    <Beginn>28.09.00</Beginn>
    <Ende>30.09.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="152">
    <Beginn>25.03.01</Beginn>
    <Ende>27.03.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="180">
    <Beginn>01.07.01</Beginn>
    <Ende>03.07.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="196">
    <Beginn>28.09.01</Beginn>
    <Ende>30.09.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="233">
    <Beginn>25.03.02</Beginn>
    <Ende>27.03.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="235">
    <Beginn>25.03.02</Beginn>
    <Ende>27.03.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="289">
    <Beginn>01.07.02</Beginn>
    <Ende>03.07.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="290">
    <Beginn>01.07.02</Beginn>
    <Ende>03.07.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="321">
    <Beginn>28.09.02</Beginn>
    <Ende>30.09.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="322">
    <Beginn>28.09.02</Beginn>
    <Ende>30.09.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="367">
    <Beginn>08.01.03</Beginn>
    <Ende>10.01.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="372">
    <Beginn>27.01.03</Beginn>
    <Ende>30.01.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="405">
    <Beginn>12.03.03</Beginn>
    <Ende>14.03.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="411">
    <Beginn>25.03.03</Beginn>
    <Ende>27.03.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="434">
    <Beginn>14.04.03</Beginn>
    <Ende>16.04.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="435">
    <Beginn>14.04.03</Beginn>
    <Ende>16.04.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="517">
    <Beginn>01.07.03</Beginn>
    <Ende>03.07.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="521">
    <Beginn>02.07.03</Beginn>
    <Ende>04.07.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="571">
    <Beginn>03.09.03</Beginn>
    <Ende>05.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
</Terminliste>'));
INSERT INTO termin_d VALUES (1015043, XMLType('<Terminliste>
  <Termin Nr="649">
    <Beginn>08.12.03</Beginn>
    <Ende>10.12.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="501">
    <Beginn>16.06.03</Beginn>
    <Ende>18.06.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="502">
    <Beginn>16.06.03</Beginn>
    <Ende>18.06.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="548">
    <Beginn>11.08.03</Beginn>
    <Ende>13.08.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
</Terminliste>'));
INSERT INTO termin_d VALUES (1015044, XMLType('<Terminliste>
  <Termin Nr="633">
    <Beginn>19.11.03</Beginn>
    <Ende>21.11.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="91">
    <Beginn>21.08.00</Beginn>
    <Ende>23.08.00</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="92">
    <Beginn>21.08.00</Beginn>
    <Ende>23.08.00</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="188">
    <Beginn>21.08.01</Beginn>
    <Ende>23.08.01</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="232">
    <Beginn>20.03.02</Beginn>
    <Ende>22.03.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="305">
    <Beginn>21.08.02</Beginn>
    <Ende>23.08.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="306">
    <Beginn>21.08.02</Beginn>
    <Ende>23.08.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="345">
    <Beginn>20.11.02</Beginn>
    <Ende>22.11.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="371">
    <Beginn>22.01.03</Beginn>
    <Ende>24.01.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="552">
    <Beginn>17.08.03</Beginn>
    <Ende>19.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="553">
    <Beginn>17.08.03</Beginn>
    <Ende>19.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="557">
    <Beginn>20.08.03</Beginn>
    <Ende>22.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="568">
    <Beginn>01.09.03</Beginn>
    <Ende>03.09.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
</Terminliste>'));
INSERT INTO termin_d VALUES (1015068, XMLType('<Terminliste>
  <Termin Nr="617">
    <Beginn>21.10.03</Beginn>
    <Ende>24.10.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="650">
    <Beginn>09.12.03</Beginn>
    <Ende>12.12.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="118">
    <Beginn>14.10.00</Beginn>
    <Ende>17.10.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="137">
    <Beginn>09.12.00</Beginn>
    <Ende>12.12.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="138">
    <Beginn>09.12.00</Beginn>
    <Ende>12.12.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="211">
    <Beginn>09.12.01</Beginn>
    <Ende>12.12.01</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="352">
    <Beginn>09.12.02</Beginn>
    <Ende>12.12.02</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="353">
    <Beginn>09.12.02</Beginn>
    <Ende>12.12.02</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="498">
    <Beginn>10.06.03</Beginn>
    <Ende>13.06.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="558">
    <Beginn>20.08.03</Beginn>
    <Ende>23.08.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="559">
    <Beginn>20.08.03</Beginn>
    <Ende>23.08.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
</Terminliste>'));

/
-- Werte abfragen
SELECT * FROM termin_d;

-- Ergebnis
/*
     T_KNR
----------
T_XML

   1015024
<Terminliste>
  <Termin Nr="592">
    <Beginn>27.09.03</Beginn>
    <Ende>30.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="593">
    <Beginn>28.09.03</Beginn>
    <Ende>30.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="19">
    <Beginn>25.03.00</Beginn>
    <Ende>27.03.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="21">
    <Beginn>25.03.00</Beginn>
    <Ende>27.03.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="75">
    <Beginn>01.07.00</Beginn>
    <Ende>03.07.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="76">
    <Beginn>01.07.00</Beginn>
    <Ende>03.07.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="107">
    <Beginn>28.09.00</Beginn>
    <Ende>30.09.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="108">
    <Beginn>28.09.00</Beginn>
    <Ende>30.09.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="152">
    <Beginn>25.03.01</Beginn>
    <Ende>27.03.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="180">
    <Beginn>01.07.01</Beginn>
    <Ende>03.07.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="196">
    <Beginn>28.09.01</Beginn>
    <Ende>30.09.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="233">
    <Beginn>25.03.02</Beginn>
    <Ende>27.03.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="235">
    <Beginn>25.03.02</Beginn>
    <Ende>27.03.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="289">
    <Beginn>01.07.02</Beginn>
    <Ende>03.07.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="290">
    <Beginn>01.07.02</Beginn>
    <Ende>03.07.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="321">
    <Beginn>28.09.02</Beginn>
    <Ende>30.09.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="322">
    <Beginn>28.09.02</Beginn>
    <Ende>30.09.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="367">
    <Beginn>08.01.03</Beginn>
    <Ende>10.01.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="372">
    <Beginn>27.01.03</Beginn>
    <Ende>30.01.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="405">
    <Beginn>12.03.03</Beginn>
    <Ende>14.03.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="411">
    <Beginn>25.03.03</Beginn>
    <Ende>27.03.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="434">
    <Beginn>14.04.03</Beginn>
    <Ende>16.04.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="435">
    <Beginn>14.04.03</Beginn>
    <Ende>16.04.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="517">
    <Beginn>01.07.03</Beginn>
    <Ende>03.07.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="521">
    <Beginn>02.07.03</Beginn>
    <Ende>04.07.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="571">
    <Beginn>03.09.03</Beginn>
    <Ende>05.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
</Terminliste>

   1015043
<Terminliste>
  <Termin Nr="649">
    <Beginn>08.12.03</Beginn>
    <Ende>10.12.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="501">
    <Beginn>16.06.03</Beginn>
    <Ende>18.06.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="502">
    <Beginn>16.06.03</Beginn>
    <Ende>18.06.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="548">
    <Beginn>11.08.03</Beginn>
    <Ende>13.08.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
</Terminliste>

   1015044
<Terminliste>
  <Termin Nr="633">
    <Beginn>19.11.03</Beginn>
    <Ende>21.11.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="91">
    <Beginn>21.08.00</Beginn>
    <Ende>23.08.00</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="92">
    <Beginn>21.08.00</Beginn>
    <Ende>23.08.00</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="188">
    <Beginn>21.08.01</Beginn>
    <Ende>23.08.01</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="232">
    <Beginn>20.03.02</Beginn>
    <Ende>22.03.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="305">
    <Beginn>21.08.02</Beginn>
    <Ende>23.08.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="306">
    <Beginn>21.08.02</Beginn>
    <Ende>23.08.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="345">
    <Beginn>20.11.02</Beginn>
    <Ende>22.11.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="371">
    <Beginn>22.01.03</Beginn>
    <Ende>24.01.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="552">
    <Beginn>17.08.03</Beginn>
    <Ende>19.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="553">
    <Beginn>17.08.03</Beginn>
    <Ende>19.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="557">
    <Beginn>20.08.03</Beginn>
    <Ende>22.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="568">
    <Beginn>01.09.03</Beginn>
    <Ende>03.09.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
</Terminliste>

   1015068
<Terminliste>
  <Termin Nr="617">
    <Beginn>21.10.03</Beginn>
    <Ende>24.10.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="650">
    <Beginn>09.12.03</Beginn>
    <Ende>12.12.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="118">
    <Beginn>14.10.00</Beginn>
    <Ende>17.10.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="137">
    <Beginn>09.12.00</Beginn>
    <Ende>12.12.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="138">
    <Beginn>09.12.00</Beginn>
    <Ende>12.12.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="211">
    <Beginn>09.12.01</Beginn>
    <Ende>12.12.01</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="352">
    <Beginn>09.12.02</Beginn>
    <Ende>12.12.02</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="353">
    <Beginn>09.12.02</Beginn>
    <Ende>12.12.02</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="498">
    <Beginn>10.06.03</Beginn>
    <Ende>13.06.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="558">
    <Beginn>20.08.03</Beginn>
    <Ende>23.08.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="559">
    <Beginn>20.08.03</Beginn>
    <Ende>23.08.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
</Terminliste>

   1015024
<Terminliste>
  <Termin Nr="592">
    <Beginn>27.09.03</Beginn>
    <Ende>30.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="593">
    <Beginn>28.09.03</Beginn>
    <Ende>30.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="19">
    <Beginn>25.03.00</Beginn>
    <Ende>27.03.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="21">
    <Beginn>25.03.00</Beginn>
    <Ende>27.03.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="75">
    <Beginn>01.07.00</Beginn>
    <Ende>03.07.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="76">
    <Beginn>01.07.00</Beginn>
    <Ende>03.07.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="107">
    <Beginn>28.09.00</Beginn>
    <Ende>30.09.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="108">
    <Beginn>28.09.00</Beginn>
    <Ende>30.09.00</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="152">
    <Beginn>25.03.01</Beginn>
    <Ende>27.03.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="180">
    <Beginn>01.07.01</Beginn>
    <Ende>03.07.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="196">
    <Beginn>28.09.01</Beginn>
    <Ende>30.09.01</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="233">
    <Beginn>25.03.02</Beginn>
    <Ende>27.03.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="235">
    <Beginn>25.03.02</Beginn>
    <Ende>27.03.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="289">
    <Beginn>01.07.02</Beginn>
    <Ende>03.07.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="290">
    <Beginn>01.07.02</Beginn>
    <Ende>03.07.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="321">
    <Beginn>28.09.02</Beginn>
    <Ende>30.09.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="322">
    <Beginn>28.09.02</Beginn>
    <Ende>30.09.02</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="367">
    <Beginn>08.01.03</Beginn>
    <Ende>10.01.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="372">
    <Beginn>27.01.03</Beginn>
    <Ende>30.01.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="405">
    <Beginn>12.03.03</Beginn>
    <Ende>14.03.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="411">
    <Beginn>25.03.03</Beginn>
    <Ende>27.03.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="434">
    <Beginn>14.04.03</Beginn>
    <Ende>16.04.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="435">
    <Beginn>14.04.03</Beginn>
    <Ende>16.04.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="517">
    <Beginn>01.07.03</Beginn>
    <Ende>03.07.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="521">
    <Beginn>02.07.03</Beginn>
    <Ende>04.07.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
  <Termin Nr="571">
    <Beginn>03.09.03</Beginn>
    <Ende>05.09.03</Ende>
    <Kurs>1015024</Kurs>
  </Termin>
</Terminliste>

   1015043
<Terminliste>
  <Termin Nr="649">
    <Beginn>08.12.03</Beginn>
    <Ende>10.12.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="501">
    <Beginn>16.06.03</Beginn>
    <Ende>18.06.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="502">
    <Beginn>16.06.03</Beginn>
    <Ende>18.06.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
  <Termin Nr="548">
    <Beginn>11.08.03</Beginn>
    <Ende>13.08.03</Ende>
    <Kurs>1015043</Kurs>
  </Termin>
</Terminliste>

   1015044
<Terminliste>
  <Termin Nr="633">
    <Beginn>19.11.03</Beginn>
    <Ende>21.11.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="91">
    <Beginn>21.08.00</Beginn>
    <Ende>23.08.00</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="92">
    <Beginn>21.08.00</Beginn>
    <Ende>23.08.00</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="188">
    <Beginn>21.08.01</Beginn>
    <Ende>23.08.01</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="232">
    <Beginn>20.03.02</Beginn>
    <Ende>22.03.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="305">
    <Beginn>21.08.02</Beginn>
    <Ende>23.08.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="306">
    <Beginn>21.08.02</Beginn>
    <Ende>23.08.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="345">
    <Beginn>20.11.02</Beginn>
    <Ende>22.11.02</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="371">
    <Beginn>22.01.03</Beginn>
    <Ende>24.01.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="552">
    <Beginn>17.08.03</Beginn>
    <Ende>19.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="553">
    <Beginn>17.08.03</Beginn>
    <Ende>19.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="557">
    <Beginn>20.08.03</Beginn>
    <Ende>22.08.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
  <Termin Nr="568">
    <Beginn>01.09.03</Beginn>
    <Ende>03.09.03</Ende>
    <Kurs>1015044</Kurs>
  </Termin>
</Terminliste>

   1015068
<Terminliste>
  <Termin Nr="617">
    <Beginn>21.10.03</Beginn>
    <Ende>24.10.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="650">
    <Beginn>09.12.03</Beginn>
    <Ende>12.12.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="118">
    <Beginn>14.10.00</Beginn>
    <Ende>17.10.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="137">
    <Beginn>09.12.00</Beginn>
    <Ende>12.12.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="138">
    <Beginn>09.12.00</Beginn>
    <Ende>12.12.00</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="211">
    <Beginn>09.12.01</Beginn>
    <Ende>12.12.01</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="352">
    <Beginn>09.12.02</Beginn>
    <Ende>12.12.02</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="353">
    <Beginn>09.12.02</Beginn>
    <Ende>12.12.02</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="498">
    <Beginn>10.06.03</Beginn>
    <Ende>13.06.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="558">
    <Beginn>20.08.03</Beginn>
    <Ende>23.08.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
  <Termin Nr="559">
    <Beginn>20.08.03</Beginn>
    <Ende>23.08.03</Ende>
    <Kurs>1015068</Kurs>
  </Termin>
</Terminliste>


8 Zeilen ausgewhlt.
*/