DECLARE
  Ctx DBMS_XMLSTORE.ctxType;
  v_reihen NUMBER;
  v_xml XMLType := XMLType('<Terminuebersicht>
 <Termin>
  <T_NR>1</T_NR>
  <K_NR>1015036</K_NR>
  <T_BEGINN>18.02.00</T_BEGINN>
  <T_ENDE>20.02.00</T_ENDE>
  <T_ORT>Bochum</T_ORT>
 </Termin>
 <Termin>
  <T_NR>2</T_NR>
  <K_NR>1020053</K_NR>
  <T_BEGINN>18.02.00</T_BEGINN>
  <T_ENDE>20.02.00</T_ENDE>
  <T_ORT>Bochum</T_ORT>
 </Termin>
 <Termin>
  <T_NR>3</T_NR>
  <K_NR>1015036</K_NR>
  <T_BEGINN>18.02.00</T_BEGINN>
  <T_ENDE>20.02.00</T_ENDE>
  <T_ORT>Bochum</T_ORT>
 </Termin>
 <Termin>
  <T_NR>4</T_NR>
  <K_NR>1020053</K_NR>
  <T_BEGINN>18.02.00</T_BEGINN>
  <T_ENDE>20.02.00</T_ENDE>
  <T_ORT>Bochum</T_ORT>
 </Termin>
</Terminuebersicht>');

BEGIN
  -- Kontext erstellen
  Ctx := DBMS_XMLSTORE.newContext('SCOTT.TERMIN_IMPORT');
  -- Aktualisierungseinstellungen lschen
  DBMS_XMLSTORE.clearUpdateColumnList(Ctx); 
  -- Spaltenliste erstellen
  DBMS_XMLSTORE.setUpdateColumn(Ctx, 'T_NR'); 
  DBMS_XMLSTORE.setUpdateColumn(Ctx, 'K_NR'); 
  DBMS_XMLSTORE.setUpdateColumn(Ctx, 'T_BEGINN');
  DBMS_XMLSTORE.setUpdateColumn(Ctx, 'T_ENDE'); 
  DBMS_XMLSTORE.setUpdateColumn(Ctx, 'T_ORT');
  -- Reihen-Tag angeben
  DBMS_XMLSTORE.setRowTag(Ctx, 'Termin');
  -- XML zerlegen und eintragen
  DELETE FROM TERMIN_IMPORT;
  v_reihen := DBMS_XMLSTORE.insertXML(Ctx, v_xml);
  DBMS_OUTPUT.put_line(v_reihen || ' eingefgt.');
  -- Kontext schlieen
  DBMS_XMLSTORE.closeContext(Ctx); 
END;