DECLARE
  Ctx DBMS_XMLSTORE.ctxType;
  v_reihen NUMBER;
  v_xml XMLType := XMLType('<ROWSET>
 <ROW>
  <T_NR>1</T_NR>
  <K_NR>1015036</K_NR>
  <T_ORT>Berlin</T_ORT>
 </ROW>
 <ROW>
  <T_NR>2</T_NR>
  <K_NR>1020053</K_NR>
  <T_ORT>Berlin</T_ORT>
 </ROW>
</ROWSET>');

BEGIN
  -- Kontext erstellen
  Ctx := DBMS_XMLSTORE.newContext('SCOTT.TERMIN_IMPORT');
  -- Aktualisierungseinstellungen
  DBMS_XMLSTORE.clearUpdateColumnList(Ctx); 
  DBMS_XMLSTORE.setUpdateColumn(Ctx, 'T_ORT');
  -- Schlssel fr Aktualisierung
  DBMS_XMLSTORE.clearKeyColumnList(Ctx);
  DBMS_XMLSTORE.setKeyColumn(Ctx, 'T_NR');
  -- XML zerlegen und aktualisieren
  v_reihen := DBMS_XMLSTORE.updateXML(Ctx, v_xml);
  DBMS_OUTPUT.put_line(v_reihen || ' aktualisiert.');
  -- Kontext schlieen
  DBMS_XMLSTORE.closeContext(Ctx); 
END;