SET LONG 20000;
-- Tabelle lschen
DROP TABLE termin_d;
-- Tabelle anlegen
CREATE TABLE termin_d(
t_knr NUMBER(7),
t_xml XMLType,
t_schema XMLType);
/
-- Werte einfgen
INSERT INTO termin_d VALUES(1015068, XMLType('<Termin Nr="498">
  <Beginn>10.06.03</Beginn>
  <Ende>13.06.03</Ende>
  <Kurs>1015068</Kurs>
</Termin>'),
XMLType('<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
  <xs:element name="Termin">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="Beginn" type="xs:string"/>
        <xs:element name="Ende" type="xs:string"/>
        <xs:element name="Kurs" type="xs:int"/>
      </xs:sequence>
      <xs:attribute name="Nr" type="xs:short" use="required"/>
    </xs:complexType>
  </xs:element>
</xs:schema>
'));
/
SELECT XMLIsValid(t_xml, t_schema), t_xml, t_schema
 FROM termin_d;
/