CREATE OR REPLACE VIEW Kurs_VS OF XMLTYPE
XMLSCHEMA "http://www.kurse-nrw.de/kurs.xsd" ELEMENT "Kurs"
WITH OBJECT ID
 (EXTRACT(sys_nc_rowinfo$,'/Kurs/@Nr').getnumberval())
  AS
    SELECT XMLELEMENT("Kurs", XMLAttributes(K_Nr AS "Nr"),
            XMLForest(K_Titel AS "Titel",
                      K_Untertitel AS "Untertitel",
                      K_Dauer AS "Dauer")) AS "XML"
FROM kurs;